class genericDefaults(KellerNukePlugin):

    def configurePlugin(self):
                
        ############################################################################################################################################
        # DEFAULTS
        #
        # NON PROJECT SPECIFIC DEFAULTS GO HERE
        ############################################################################################################################################
        
        # read nodes
        nuke.knobDefault("Read.premultiplied", "true")
        
        # add fileout Defaults
        nuke.knobDefault("Write.channels","rgba")
        # 'createWriteDir.createWriteDir()' is called from the createWriteDir Plugin

        # write nodes
        nuke.knobDefault("Write.channels","rgba")
        nuke.knobDefault("Write.dpx.channels","rgb")
        nuke.knobDefault("Write.create_directories", "1")
        nuke.knobDefault("Write.noprefix", "1")
        nuke.knobDefault("Write.metadata", "3")

        # Exposure
        nuke.knobDefault("EXPTool.mode", "0")

    def unconfigurePlugin(self):
        pass