#TODO: OCIO config from KEnv
#TODO: Formats fron KEnv

class ProjectDefaults(KellerNukePlugin):

    def configurePlugin(self):
        ############################################################################################################################################
        # DEFAULTS
        #
        # JOB SPECIFIC DEFAULTS
        #
        ############################################################################################################################################

        # Write
        nuke.knobDefault("Write.channels", "rgba")
        nuke.knobDefault("Write.dpx.channels", "rgb")
        nuke.knobDefault("Write.create_directories", "1")
        nuke.knobDefault("Write.exr.noprefix", "1")
        nuke.knobDefault("Write.exr.metadata", "all metadata")

        # Exposure
        nuke.knobDefault("EXPTool.mode", "0")

        # add formats
        nuke.addFormat('3840 2160 0 0 3840 2160 1 HOT_WORK')
        nuke.addFormat('3840 2160 0 0 3840 2160 1 HOT_DELIVERY')
        nuke.addFormat('2560 1440 0 0 2560 1440 1 HOT_3D_PREVIEW')
        nuke.addFormat('1920 1080 0 0 1920 1080 1 HOT_3D_PREVIEW_LOW')
        # add fileout Defaults
        nuke.knobDefault('Write.channels', 'rgba')
        nuke.knobDefault('Root.colorManagement', 'OCIO')
        nuke.knobDefault('Root.OCIO_config', 'custom')
        nuke.knobDefault('Root.customOCIOConfigPath', '//hades/p/_projekte/HOTZ/000_dev/ocio/aces_1.2/config.ocio')
        # set format
        nuke.knobDefault('Root.format', 'HOT_WORK')
        # set viewer
        # viewer is set via config.ocio: active_views: [P3D65 Rec.709 Limited, sRGB, DCDM, DCDM P3D60 Limited..]


    def unconfigurePlugin(self):
        pass