# Copyright (c) 2009 The Foundry Visionmongers Ltd.  All Rights Reserved.

## init.py
## loaded by nuke before menu.py

import os
# import kenv

nuke.pluginAddPath('./gizmos')
nuke.pluginAddPath('./icons')
nuke.pluginAddPath('./ndk')


# Paths
nuke_path = os.getenv('NUKE_PATH')
plugin_path = os.path.join(nuke_path, 'plugins')
icon_path = os.path.join(nuke_path, 'icons')

# Plugins
nuke.pluginAppendPath(plugin_path, icon_path)

# Needs to be loaded last?
import kellerPluginCore
kellerPluginCore.start( os.path.join( nuke_path ,"pythonplugins") )

import cryptomatte_utilities
cryptomatte_utilities.setup_cryptomatte()