PROJECTNAME = "HOTZ"

if nuke.env["MACOS"]:
  FAVOURITES = {
    'O_PRJ': '/Volumes/O/_projekte',
    'P_PRJ': '/Volumes/P/_projekte'
  }
else:
    FAVOURITES = (
        ('______', '//calculon/o/_projekte/' + PROJECTNAME),
        ('HOT_O', '//calculon/o/_projekte/' + PROJECTNAME),
        ('020_footageIn', '//calculon/o/_projekte/' + PROJECTNAME + '/020_footageIn'),
        ('220_processedFootage', '//calculon/o/_projekte/' + PROJECTNAME + '/220_processedFootage'),
        ('250_render3D', '//calculon/o/_projekte/' + PROJECTNAME + '/250_render3D'),
        ('300_work2d', '//calculon/o/_projekte/' + PROJECTNAME + '/300_work2d'),
        ('120_ref', '//calculon/o/_projekte/' + PROJECTNAME + '/120_ref'),
        ('450_precomp', '//calculon/o/_projekte/' + PROJECTNAME + '/450_precomp'),
        ('500_renders', '//calculon/o/_projekte/' + PROJECTNAME + '/500_renders'),
        ('_____', '//hades/p//_projekte/' + PROJECTNAME),
        ('HOT_P', '//hades/p//_projekte/' + PROJECTNAME),
        ('210_setData', '//hades/p/_projekte/' + PROJECTNAME + '/210_setData'),
        ('230_sources', '//hades/p/_projekte/' + PROJECTNAME + '/230_sources'),
        ('300_work3d', '//hades/p/_projekte/' + PROJECTNAME + '/300_work3d'),
        ('410_textures', '//hades/p/_projekte/' + PROJECTNAME + '/410_textures'),
        ('500_renders_', '//hades/p/_projekte/' + PROJECTNAME + '/500_renders'),
        ('____', '//hades/p//_projekte/' + PROJECTNAME + '')
    )

class projectFavorites(KellerNukePlugin):

    def configurePlugin(self):
        for (key, value) in FAVOURITES:
            nuke.addFavoriteDir(key,value)
    
    def unconfigurePlugin(self):
        for (key, value) in FAVOURITES:
            nuke.removeFavoriteDir(key)